Het Joomla Project is blij de beschikbaarheid van Joomla 4.0 Beta 7 aan te kondigen en Alpha 5 van Joomla 3.10.

We verwachten dat dit de laatste beta van Joomla 4 is en dat we in maart een Release Candidate beschikbaar hebben. We maken ook een nieuw portaal beschikbaar voor vertaalteams om Joomla 4 taalpakketten uit te brengen die aansluiten bij de eerste Release Candidate.

We nodigen je uit het pakket te downloaden, te installeren en te testen om de kwaliteit van het aankomende 4.0 release te verbeteren en de nieuwe functies in dit hoofd-release te ontdekken.

Joomla 4.0 beta uitproberen zonder een van je sites te migreren? Test het direct via launch.joomla.org

Wat is het verschil tussen beta 6 en beta 7?

Joomla 4 beta 7 bevat:

  • Een upgrade van Bootstrap 4 naar Bootstrap 5.

We nodigen je uit deze versie te testen en zijn dankbaar reacties te ontvangen en daarnaast problemen en bugs te rapporteren via de Joomla CMS Issue Tracker.

Zorg ervoor, om te updaten vanaf Joomla 4.x naar iedere nieuwere versie,  om bij uw Joomla update component de opties in te stellen op het kanaal "Testen" en stel de minimum stabiliteit in op "Beta". Deze instelling ondersteunt nu ook updates tussen pre-releases.

Kijk, voor een complete lijst met bekende backward compatibiliteit problemen voor versie 4.0, bij Potential backward compatibility issues in Joomla 4.0 op de documentatie site.

Download Joomla 4 Beta 2

 Bezoek GitHub om alle veranderingen te zien tussen Beta 6 en Beta 7.
Er is overigens hier een Nederlands taalbestand voor deze release.

Joomla 3.10 helpt bij de overgang naar Joomla 4

Samen met Joomla 4 Beta 7, brengen we de vijfde alpha versie van Joomla 3.10 uit.
Joomla 3.10 is de brug tussen de 2 hoofdreleases. Joomla 3.10 stable zal hoofdzakelijk een release zijn dat overgangen bevat van API wijzigingen uit de Joomla 4.0 ontwikkeling om te helpen om de overgang naar de volgende hoofdrelease makkelijker te maken voor de community. Joomla 3.10 zal twee jaar ondersteund worden nadat het is uitgebracht.

Met Joomla 3.10 introduceren we een nieuwe functie bij de Joomla Update component om u te helpen met het mini-migratie proces: de voor-update-controle.

Als uw website eenmaal bijgewerkt is naar 3.10, zal de voor-update-controle je in staat stellen de compatibiliteit met de Joomla 4.0 minimum vereisten controleren met betrekking tot de huidige hosting omgeving en, nog belangrijker, uw geïnstalleerde extensies. Dit helpt om soepel naar Joomla 4.0 te migreren.

Deel je feedback met ons!

Heb je Joomla 4 Beta 7 getest en heb je iets gevonden dat niet werkt zoals je het zou verwachten? Laat het ons weten. Met je feedback maken we een beter product!

Oproep tot extensie- en template-ontwikkelaars terugkoppeling.

We willen deze oproep om te testen en feedback vooral uitbreiden naar alle Joomla extensie- en template-ontwikkelaars. Uw producten dragen bij aan een van Joomla's sleutelfuncties: de uitbreidbaarheid. Dit release is het perfecte moment om te beginnen met het werk om extensies en templates klaar te maken voor de stabiele versie van Joomla 4.0. Uw terugkoppeling is cruciaal voor de volgende releases.

Op enkele onderdelen willen we extra terugkoppeling:

  • Wat kunnen we doen of blijven ondersteunen om de comptabiliteit over releases te verbeteren voor je extensies en templates?
  • De nieuwe voor-update-controle in 3.10 is de afgelopen weken opnieuw verbeterd. Wat denk je daarvan?

U kunt ons veel helpen door een PR of Issue te melden op GitHub of contact opnemen met George Wilson en Tobias Zulauf over deze onderwerpen, zodat we zeker weten dat alle punten volledig bekeken zijn.

Kan ik mijn website updaten van 3.9.x naar Joomla 4 Beta 7?

Het eenvoudige antwoord is ja. Natuurlijk niet op een productie site want het is nog beta, maar als u de update naar Joomla 4 wilt testen kan dat.

Update opmerking: Door het invoegen van zowel een voorbereidende stap naar een aankomende Joomla 4.1 functie en en het opnieuw invoeren van custom_data - zijn er problemen bij het upgraden van beta 3 naar beta 4 (en later). Je moet een stukje SQL uitvoeren voor de upgrade uit te voeren - dit staat op de volgende plek:  https://docs.joomla.org/J4.x:Upgrade_to_4.0_Beta_4

Om een upgrade te doen van 3.9.x naar Joomla 4, moet u gaan naar de juist uitgebrachte 3.10 alpha. Er is geen direct upgrade-pad tussen 3.9 en 4.x gepland, noch wordt dat ondersteund. Alle upgrades gaan via 3.10.

Volg voor de upgrade deze stappen:

  • Ga naar de Joomla Update Component opties en zet het updatekanaal op “Testen” en de minimale stabiliteit op “Alpha”.
  • Update naar 3.10 alpha 3 met de Joomla Update Component.
  • Zet, nadat u geüpdatet bent naar 3.10 alpha, het updatekanaal op “Aangepaste URL” en zet de aangepaste URL op “https://update.joomla.org/core/test/310to4_list.xml”
  • Nu krijgt u de update naar de laatste 4.0 beta release.
  • Controleer alstublieft het resultaat dat u krijgt uit de voor-update-controle met betrekking tot omgeving en geef uw geïnstalleerde extensies op voor het upgraden.
  • Schakel, na het upgraden terug naar het “Testen” updatekanaal met de “Beta” minimum stabiliteit om toekomstige updates tussen Joomla 4 betas te krijgen.

Meer detailinformatie nodig over het updateproces? U vindt ze in de documentatie.

Wanneer komt de stabiele versie uit?

De tijdlijn voor de stabiele release hangt af van de terugkoppeling die we krijgen van ontwikkelaars en gebruikers. Sluit je bij ons aan met het testen en rapporteren en zo te helpen te zorgen voor een stabiele tijdige oplevering. Wil je meehelpen? Geweldig! Hieronder vind je meer informatie over wat je kunt doen.

De meest up-to-date informatie over de tijdlijn kan worden gevonden in onze project roadmap.

Waar kan ik documentatie over Joomla 4 vinden?

We zijn begonnen handleidingen ter beschikking te stellen die je helpen met Joomla 4. We zullen meer handleidingen schrijven om je de belangrijke wijzigingen in Joomla 4 te laten begrijpen. U vindt de bestaande, zoals hoe een plugin of een module aan te maken voor Joomla 4, namespaces conventies, prepared statements die de nieuwe asset classes gebruiken en veel meer hier.

We moedigen ontwikkelaars aan te helpen bij het schrijven van documentatie over Joomla 4 via docs.joomla.org om gebruikers evenals andere extensie ontwikkelaars, te leiden en helpen.

We nodigen je uit het regelmatig te controleren, bij te werken en ontbrekende inhoud te leveren: Handleidingen project

Hoe kun je de Joomla 4 ontwikkeling helpen?

Om te helpen ervoor te zorgen dat het 4.0 release en onze hoofdfuncties “productie rijp” zijn, hebben we je hulp nodig met het testen van releases en het aanmelden van bugs die je vindt via issues.joomla.org.

Om het leven van testers makkelijker te maken is het mogelijk te updaten van de beta-versie naar de volgende beta, RC of stabiele versie (we blijven streng bij het updaten van verwijderde bestanden en het wijzigen van SQL).

Zoals eerder verklaard focussen we ons erop om Joomla 4 zo snel mogelijk uit te brengen. We plannen daarom geen nieuwe 3.x versie meer - behalve 3.10.

Alle functievoorstellen zullen naar de 4.1 release gestuurd worden.

Veel dank aan alle vrijwilligers!

Deze beta- en alpha release is het resultaat van duizenden uren werk door dozijnen vrijwilligers.

Veel dank gaat uit naar iedereen die bijgedragen heeft aan de 4.0 beta- en 3.10 alpha release.

Dit is een vertaling van de originele release-aankondiging.

2 reacties

EasyDiscuss Avatar
Fred
Test 1

Als server MAMP gebruikt.

Test 1

1) Een verse Joomla 3.9.24 met voorbeelddata geïnstalleerd , hierbij is ook JCE (292) geïnstalleerd .

2) Vanuit stap 1 Joomla geüpdatet naar 3.10.A5

3) Vanuit stap 2 Joomla geüpdatet naar 4.0.B7

4) YOOtheme Pro (2.3.32) geïnstalleerd in Joomla 4.0.B7 en als template gebruikt.

Waar liep ik tegen aan!
- Vanwege het feit dat in Joomla 3.9.24 de template “Protostar ” stond geïnstalleerd popt in de backend van Joomla 4 er een melding op.
- Protostar bestaat niet in J4, hiervoor is in J4 de template “cassiopei a”.

Conclusie
Het updaten van Joomla 3.9.24 via 3.10.A5 naar Joomla 4.0.B7 verliep probleemloos en JCE werkt ook prima. En verrassend kon YOOtheme Pro ook in J4 worden geïnstalleerd en worden gebruikt.

0
EasyDiscuss Avatar
Fred
Test 2

Als server MAMP gebruikt.

1) Een verse Joomla 3.9.24 met voorbeelddata geïnstalleerd .
a. JCE (292) geïnstalleerd .
b. YOOtheme Pro (2.3.32) geïnstalleerd en in gebruik.

2) Vanuit stap 1 Joomla geüpdatet naar 3.10.A5

3) Vanuit stap 2 Joomla geüpdatet naar 4.0.B7


Waar liep ik tegen aan!
Geen enkel probleem tegengekomen.


Conclusie.
Het updaten van Joomla 3.9.24 via 3.10.A5 naar Joomla 4.0.B7 verliep probleemloos.
JCE 292 werkt prima
YOOtheme Pro 2.3.32 werkt prima en is als standaard template operationeel.


0

Reageer

1000 Resterende tekens